/* ===================================
   FONTS
   =================================== */
/* zalando-sans-expanded-regular - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Zalando Sans Expanded';
  font-style: normal;
  font-weight: 400;
  src: url('fonts/zalando-sans-expanded-v2-latin-regular.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* zalando-sans-expanded-700 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Zalando Sans Expanded';
  font-style: normal;
  font-weight: 700;
  src: url('fonts/zalando-sans-expanded-v2-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* zalando-sans-expanded-900 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Zalando Sans Expanded';
  font-style: normal;
  font-weight: 900;
  src: url('fonts/zalando-sans-expanded-v2-latin-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}
/* open-sans-600 - latin */
@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'Open Sans';
  font-style: normal;
  font-weight: 600;
  src: url('fonts/open-sans-v44-latin-600.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* ===================================
   VARIABLES
   =================================== */
:root {
    --primary-color: #EA6437;
    --secondary-color: #DB5346;
    --base-color: #fff;
}

/* ===================================
   RESET
   =================================== */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* ===================================
   STYLE
   =================================== */
body {
    font-family: 'Open Sans', system-ui, -apple-system, 'Segoe UI', sans-serif;
    background: url(/images/background-celpro.jpg) no-repeat center/cover;
    background-color: var(--primary-color);
    color: var(--base-color);
    line-height: 1.4;
    font-size: clamp(1rem, -3.7692rem + 7.6923vw, 2rem);
    font-weight: 600;
    text-align: center;
    min-height: 100vh;
    width: 100%;
    height: auto;
    aspect-ratio: 1440/2022;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: clamp(1rem, -8.5385rem + 15.3846vw, 3rem);
    padding-top: min(4rem, 10%);
    padding-bottom: min(8rem, 12%);
}
.font-secondary, .btn {
    font-family: 'Zalando Sans Expanded', system-ui, -apple-system, 'Segoe UI', sans-serif;
}

.logo {
    max-width: clamp(6rem,30vw,14rem);
    width: 100%;
    height: auto;
}
.work_in_progress {
    font-size: clamp(1rem, -8.5385rem + 15.3846vw, 3rem);
    font-weight: 700;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.work_in_progress span {
    background-color: var(--base-color);
    color: var(--primary-color);
    padding: .25em .5em;
}
.work_in_progress span:last-child {
    transform: translateY(-5px) rotate(-2.58deg);
}

.catchline {
    font-size: clamp(1.4rem, -11rem + 20vw, 4rem);
    position: relative;
    padding-top: 3rem;
    margin-top: clamp(1rem, -8.5385rem + 15.3846vw, 3rem);
}
.catchline::before {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    height: 2.5rem;
    width: .25rem;
    background-color: var(--base-color);
}
.catchline em {
    font-style: normal;
    position: relative;
    display: inline-block;
}
.catchline em::before {
    content: "";
    position: absolute;
    z-index: -1;
    width: calc(100% + 1rem);
    height: .9em;
    background-color: var(--secondary-color);
    transform: rotate(-1.43deg);
    top: 40%;
    left: -.5rem;
}

.description {
    max-width: clamp(20rem, -37.2308rem + 92.3077vw, 32rem);
}

.icon-head {
    margin-top: auto;
    max-width: clamp(2.5rem, -13rem + 25vw, 5.75rem);
}

.btn {
    color: var(--base-color);
    background-color: var(--primary-color);
    text-decoration: none;
    padding: 0.5em 1.5em;
    border-radius: 5rem;
    font-size: clamp(0.875rem, -0.9135rem + 2.8846vw, 1.25rem);
    box-shadow: 9px 10px 16px -2px rgba(0,0,0,0.1);
    transition: .3s ease-in-out;
    transition-property: color, background-color;
}
.btn:hover, .btn:focus {
    background-color: var(--base-color);
    color: var(--primary-color);
}

@media (min-width:1600px) {
    body {
        background-image: url(/images/background-celpro-desktop.jpg);
        aspect-ratio: 1440/1440;
    }
}